// media
$mediaMobile: "screen and (max-width: 768px)";
$mediaTablet: "screen and (max-width: 1024px)";
$mediaDesktopSmall: "screen and (max-width: 1366px)";
$fontFamily: "Roboto", sans-serif;
// basic
$bg: #fbfbfd;
$bgDark: #252529;
$bgDarkHighlight: #2e2e33;
$borderColor: #eaedf3;
$borderColorDarker: #d8dce6;
$borderDefault: 1px solid $borderColor;
$borderColorDark: #2e2e33;
// text
$textMain: #3e3f42;
$textBase: #6b6c6f;
$textSecondary: #9ea0a5;
$textLight: #cecfd2;
// colors
$green: #38b249;
$blue: #1665d8;
$orange: #f6ab2f;
$violet: #6977ff;
$red: #e6492d;
$yellow: #facf55;
$success: $green;
$primary: $blue;
$warning: $orange;
$error: $red;
// base color pairs
$colorPairs: (green, #38b249), (blue, #1665d8), (orange, #f6ab2f),
  (violet, #6977ff), (yellow, #facf55), (red, #e6492d);
// mixins
@mixin generateColorVariants($class, $property, $alpha) {
  @each $name, $color in (green, #38b249), (blue, #1665d8), (orange, #f6ab2f),
    (violet, #6977ff), (red, #e6492d)
  {
    #{$class}.#{$name} {
      #{$property}: rgba($color, $alpha);
    }
  }
}

@mixin textOverflow {
  overflow: hidden;
  white-space: nowrap;
}

@mixin backgroundCover {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

// others
$boxShadow: 0 1px 3px 0 rgba(0, 0, 0, 0.04);
